Bug 1140778 - Yast2 Sound module does not produce sound
Yast2 Sound module does not produce sound
Status: CONFIRMED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: YaST2
Current
64bit SUSE Other
: P5 - None : Normal (vote)
: Current
Assigned To: YaST Team
Jiri Srain
https://trello.com/c/z6ZkGpsI
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-07-09 00:21 UTC by Roman Bysh
Modified: 2022-09-21 15:54 UTC (History)
2 users (show)

See Also:
Found By: Community User
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
Y2logs (3.87 MB, application/x-compressed-tar)
2019-07-09 00:22 UTC, Roman Bysh
Details
dmesg (65.90 KB, text/plain)
2019-07-09 00:30 UTC, Roman Bysh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Bysh 2019-07-09 00:21:24 UTC
In earlier builds the Yast Sound module worked with the older ASUS P5Q mobo from 2007. I'm using the:

Audio device: 
Intel Corporation 82801JI (ICH10 Family) HD Audio Controller
Comment 1 Roman Bysh 2019-07-09 00:22:40 UTC
Created attachment 809741 [details]
Y2logs
Comment 2 Roman Bysh 2019-07-09 00:30:50 UTC
Created attachment 809742 [details]
dmesg

Uploaded dmesg
Comment 3 Roman Bysh 2019-07-09 00:40:59 UTC
The Yast Sound module works in openSUSE 15.1 but not in Tumbleweed.

I can hear my sound coming through my speakers except for the sound module.
Comment 4 Steffen Winterfeldt 2019-07-09 11:35:42 UTC
yast's sound module doesn't really do anything and you don't need to use it
at all. Sound is basically auto-config.

I see in your dmesg that the kernel sound module has been loaded. If it's not
working as expected it might be just a config issue. I'd check with pavucontrol.
Comment 5 Takashi Iwai 2019-07-09 12:02:44 UTC
The culprit is likely /etc/modules-load.d/yast.conf that contains an unnecessary entry that interferes loading the proper sound module.  Remove that file and recreate initrd.

This must come from the old installation where yast2-sound has put such a config wrongly.  This was mostly harmless in the past because of a (kind of) bug in dracut and a hackish configuration in alsa.rpm.  Now these got fixed, and the problem surfaced suddenly.
Comment 6 Roman Bysh 2019-07-15 18:21:11 UTC
(In reply to Steffen Winterfeldt from comment #4)
> yast's sound module doesn't really do anything and you don't need to use it
> at all. Sound is basically auto-config.
> 
> I see in your dmesg that the kernel sound module has been loaded. If it's not
> working as expected it might be just a config issue. I'd check with
> pavucontrol.

The sound is working. It's a habit of mine to set up the modules in Yast for many years.

I forgot to mention the "Test" button does NOT play the organ sound nor the pop up selection "Play Test Sound" when clicking the "Other" button.

It has worked in every version of openSUSE for many many years.

If the modules is no longer needed then it should be removed. Yes?
Comment 7 Roman Bysh 2019-07-15 18:27:53 UTC
(In reply to Takashi Iwai from comment #5)
> The culprit is likely /etc/modules-load.d/yast.conf that contains an
> unnecessary entry that interferes loading the proper sound module.  Remove
> that file and recreate initrd.
> 
> This must come from the old installation where yast2-sound has put such a
> config wrongly.  This was mostly harmless in the past because of a (kind of)
> bug in dracut and a hackish configuration in alsa.rpm.  Now these got fixed,
> and the problem surfaced suddenly.

I have no file named yast.conf in /etc/modules-load.d/. However, there is a file in /etc/modprobe.d/50-sound.conf showing the correct setup:

options snd slots=snd-hda-intel
# u1Nb.SjXCD70s323:82801JI (ICH10 Family) HD Audio Controller
alias snd-card-0 snd-hda-intel
Comment 8 Takashi Iwai 2019-07-16 05:58:17 UTC
OK, then it's not about the driver loading or the setup.  It was somewhat misguided.

The problem of test sound playback on YaST isn't new, and this has been always conflicts with PulseAudio, if you run YaST on the existing desktop.  It works fine for installer or a dumb desktop without pulseaudio, but once after you install pulseaudio, it becomes a problem.

YaST may try to play with pasuspender only if pulseaudio is present, but it's still not 100% correct to assume that pulseaudio takes effect on the target desktop.

In anyway, it's specific to yast2-sound stuff, how to trigger the playback.  Reassigned back to YaST team.

If the playback can't work reliably, we may consider dropping the test sound in yast2-sound setup, too...
Comment 9 José Iván López González 2019-07-17 08:04:54 UTC
As it was already commented previously, YaST Sound does nothing useful nowdays. The module is still alive just in case, but sooner rather than later it should be deprecated and dropped. For the time being we are going to consider whether to drop the "Play sound test" option.

Thanks for reporting!
Comment 10 Roman Bysh 2019-07-31 20:22:29 UTC
In an earlier version of Plasma 5, the left -- right playback buttons used to be in systemsettings5 in the Multimedia module. 

This was really handy because the user did not have to type in their password to open the "Yast2-Audio" module.

Can this feature be added back to the Multimedia module?